import { _decorator, Component, Enum, Node } from 'cc';
import { CupHeight } from '../TakeGobletGlobalInstance';
const { ccclass, property, executeInEditMode } = _decorator;

/** 原浆酒杯组件脚本*/
@ccclass('OriginCup')
@executeInEditMode
export class OriginCup extends Component {
    @property({ type: Enum(CupHeight), displayName: '杯高度' })
    cupHeight: CupHeight = CupHeight.Two

    @property(Node)
    waters: Node = null!;  //水节点

    start() {

    }

    update(deltaTime: number) {

    }
}


